Bug 1717326 - Debug file descriptor leak CVE-2019-1221 and insecure debug file handling CVE-2019-12209
Summary: Debug file descriptor leak CVE-2019-1221 and insecure debug file handling CVE...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pam-u2f
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Seth Jennings
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-05 08:33 UTC by Gabriel Kihlman
Modified: 2019-08-13 01:59 UTC (History)
1 user (show)

Fixed In Version: pam-u2f-1.0.8-1.fc30 pam-u2f-1.0.8-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-19 22:45:13 UTC


Attachments (Terms of Use)

Description Gabriel Kihlman 2019-06-05 08:33:18 UTC
Yubico have released version 1.0.8 of pam-u2f containing two security fixes that together could allow a local user to read any file on the filesystem if the debug variable and the debug_file variables have been set in the pam module configuration. Also, the authfile setting file in the users home directory was parsed as root and would follow symlinks which could be abused in many ways.

https://developers.yubico.com/pam-u2f/Release_Notes.html

This was discovered by SUSE and they will make a post to oss-security@ soon.

Release tar ball https://developers.yubico.com/pam-u2f/Releases/pam_u2f-1.0.8.tar.gz

Commit fix for CVE-2019-12210:
https://github.com/Yubico/pam-u2f/commit/18b1914e32b74ff52000f10e97067e841e5fff62

Commit fix for CVE-2019-12209:
https://github.com/Yubico/pam-u2f/commit/7db3386fcdb454e33a3ea30dcfb8e8960d4c3aa3

Another minor security fix that also went in the release:
https://github.com/Yubico/pam-u2f/commit/aab0c31a3bfed8912a271685d6ec909f61380155

Cheers,
Gabriel

Comment 1 Fedora Update System 2019-06-05 15:09:43 UTC
FEDORA-2019-cd8f4b9568 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cd8f4b9568

Comment 2 Fedora Update System 2019-06-05 15:11:29 UTC
FEDORA-2019-b6d3c8b0a8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b6d3c8b0a8

Comment 3 Fedora Update System 2019-06-06 01:00:17 UTC
pam-u2f-1.0.8-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b6d3c8b0a8

Comment 4 Fedora Update System 2019-06-06 03:31:59 UTC
pam-u2f-1.0.8-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cd8f4b9568

Comment 5 Fedora Update System 2019-06-19 22:45:13 UTC
pam-u2f-1.0.8-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-08-13 01:59:00 UTC
pam-u2f-1.0.8-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.